POST V1/Inventory.{ext}/downloadVendorContractTemplate?count={count}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
count

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.bulkuploadHelpData
NameDescriptionTypeAdditional information
commodityList

No description available

string

None.

contractTypeList

No description available

string

None.

productList

No description available

string

None.

billingList

No description available

string

None.

notifyList

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "commodityList": "sample string 1",
  "contractTypeList": "sample string 2",
  "productList": "sample string 3",
  "billingList": "sample string 4",
  "notifyList": "sample string 5"
}

application/xml, text/xml

Sample:
<bulkuploadHelpData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <billingList>sample string 4</billingList>
  <commodityList>sample string 1</commodityList>
  <contractTypeList>sample string 2</contractTypeList>
  <notifyList>sample string 5</notifyList>
  <productList>sample string 3</productList>
</bulkuploadHelpData>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.IO.Stream
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

System.IO.Stream

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Stream",
  "response": null,
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.